(function($, Lego){

Lego.block['b-head-user'] = function(){
    var thisBlock = $(this);
    if (Lego.params.login != '') {
        $.getJSON(
            '//pass.yandex.ru/services?callback=?',
            {locale: Lego.params.locale, login: 'yes'},
            function(data){
                if (!data || !data.services) return;
                var login = data.login || Lego.params.login;
                var html = '<div class="g-js b-dropdown" onclick="return {name:' + "'b-dropdown'" + '}"><ul class="b-dropdown__list">' +
                    '<li class="b-dropdown__item b-dropdown__visible">' +
                        '<a href="http://i.yandex.ru" class="b-dropdown__or">' +
                            '<span class="b-pseudo-link"><b class="b-user"><b class="b-user__first-letter">' + login.substring(0, 1) + '</b>' + login.substring(1) + '</b></span></span>' +
                        '</a>' +
                    '</li>';

                $.each(data.services, function(){
                    html += '<li class="b-dropdown__item">';
                    if (Lego.params.id == this.id && Lego.params.index) {
                        html += '<strong>' + this.title + '</strong>';
                    } else {
                        html += '<a ' +
                            'class="b-dropdown__link"' +
                            'href="' + this.url + '"' +
                            'onmousedown="Lego.ch(\'' + Lego.params.id + '.login.myservices.' + this.id + '\',this)">' +
                                this.title +
                            '</a>';
                    }
                    html += '</li>';
                });

                html += '<li class="b-dropdown__item b-dropdown__line"><a href="//passport.yandex.ru/">' +
                    Lego.message('b-head-userinfo.user:passport', 'Паспорт') +
                    '</a></li>';
                html += '<li class="b-dropdown__item"><a href="//passport.yandex.ru/passport?mode=changepass&retpath=http://i.yandex.ru/">' +
                    Lego.message('b-head-userinfo.user:change-password', 'Сменить пароль') +
                    '</a></li>';
                html += '</ul></div>';

                thisBlock.find('.b-user').replaceWith(html);
                Lego.blockInit(thisBlock, '.b-dropdown');
            }
        );
    }

};

})(jQuery, window.Lego);
